Debian Bug report logs - #666067
transition: libkpathsea6

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Date: Wed, 28 Mar 2012 12:33:02 UTC

Severity: normal

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, texlive-bin@packages.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Wed, 28 Mar 2012 12:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
New Bug report received and forwarded. Copy sent to texlive-bin@packages.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Wed, 28 Mar 2012 12:33:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: <submit@bugs.debian.org>
Subject: transition: libkpathsea6
Date: Wed, 28 Mar 2012 13:10:34 +0100
Package: release.debian.org
User: release.debian.org@packages.debian.org
Usertags: transition
Tags: pending
X-Debbugs-Cc: texlive-bin@packages.debian.org

Hi,

It looks like libkpathsea changed SONAME in unstable in a recent 
upload.

texlive maintainers - have the reverse dependencies been test rebuilt 
with the new library version?

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Thu, 29 Mar 2012 01:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 29 Mar 2012 01:21:02 GMT) Full text and rfc822 format available.

Message #10 received at 666067@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 666067@bugs.debian.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Thu, 29 Mar 2012 10:16:02 +0900
On Mi, 28 MÀr 2012, Adam D. Barratt wrote:
> It looks like libkpathsea changed SONAME in unstable in a recent upload.

Yes.

> texlive maintainers - have the reverse dependencies been test rebuilt  
> with the new library version?

No.

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
ARAGLIN (n. archaic)
A medieval practical joke played by young squires on a knight aspirant
the afternoon he is due to start his vigil. As the knight arrives at
the castle the squires attempt to raise the drawbridge very suddenly
as the knight and his charger step on to it.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Thu, 29 Mar 2012 07:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 29 Mar 2012 07:15:05 GMT) Full text and rfc822 format available.

Message #15 received at 666067@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Norbert Preining <preining@logic.at>
Cc: <666067@bugs.debian.org>, <libkpathsea6@packages.debian.org>
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Thu, 29 Mar 2012 08:11:04 +0100
On 29.03.2012 02:16, Norbert Preining wrote:
> On Mi, 28 Mär 2012, Adam D. Barratt wrote:
>> It looks like libkpathsea changed SONAME in unstable in a recent 
>> upload.
>
> Yes.
>
>> texlive maintainers - have the reverse dependencies been test 
>> rebuilt
>> with the new library version?
>
> No.

That would have been somewhat useful /before/ the packge was uploaded 
to unstable. :-(

I guess we'll just have to binNMU them all and hope they build and 
work, then.  If not, your (collective) help in ensuring any issues are 
resolved speedily would be appreciated.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Thu, 29 Mar 2012 08:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 29 Mar 2012 08:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 666067@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: "<666067@bugs.debian.org>" <666067@bugs.debian.org>, "<libkpathsea6@packages.debian.org>" <libkpathsea6@packages.debian.org>
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Thu, 29 Mar 2012 17:19:05 +0900
Hi Adam,

> That would have been somewhat useful /before/ the packge was uploaded to unstable. :-(

Hahahahaha, sure, I can also wait another two years.

And BTW, how often has an upgrade of poppler broken TeX without prior warning? And recently wasn't it also zlib that did some incompatible changes, even *without* bumping so number?

> I guess we'll just have to binNMU them all and hope they build and work, then.

My guess is there will be Zero problem.

>  If not, your (collective) help in ensuring any issues are resolved speedily would be appreciated.

As much as we have received help with breaking poppler, or changed zlib, or ...?

Seems to be a rather one way obligation!?!?

Antway, sure we'll try to help sort out all problems, but next time I would appreciate a different tone.

Norbert





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Thu, 29 Mar 2012 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 29 Mar 2012 08:39:03 GMT) Full text and rfc822 format available.

Message #25 received at 666067@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Norbert Preining <preining@logic.at>, <666067@bugs.debian.org>
Cc: " " <libkpathsea6@packages.debian.org>
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Thu, 29 Mar 2012 09:36:29 +0100
On 29.03.2012 09:19, Norbert Preining wrote:
>> That would have been somewhat useful /before/ the packge was 
>> uploaded to unstable. :-(
>
> Hahahahaha, sure, I can also wait another two years.

fwiw, if you'd requested binNMUs while the new texlive-bin was in 
experimental, we'd have been happy to schedule them for you.  I'm not 
sure why you think that would have taken so long.

> And BTW, how often has an upgrade of poppler broken TeX without prior
> warning? And recently wasn't it also zlib that did some incompatible
> changes, even *without* bumping so number?

The fact that other transitions may not have been ideal in the past 
doesn't mean we shouldn't try and improve things in general, surely?

>> I guess we'll just have to binNMU them all and hope they build and 
>> work, then.
>
> My guess is there will be Zero problem.

That would be great. :-)

>>  If not, your (collective) help in ensuring any issues are resolved 
>> speedily would be appreciated.
>
> As much as we have received help with breaking poppler, or changed
> zlib, or ...?

I don't recall seeing a request for assitance in respect to those 
issues.  If there was one and I missed it, I apologise for that.

> Seems to be a rather one way obligation!?!?

Not at all.  Generally the maintainers of a library performing a 
transition are better placed than the release team to know whether any 
issue that might arise from rebuilds is related to the transition, 
whether it's an issue in the library or the dependent package, whether 
there's a simple fix, etc.

If there's anything we can do to assist with any transition, we're 
generally more than happy to help.

> Antway, sure we'll try to help sort out all problems,

Thanks; that's appreciated.

> but next time I would appreciate a different tone.

I think you're reading things in to my mail which aren't there, fwiw.  
Hopefully the explanations above help in that respect.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Thu, 29 Mar 2012 10:03:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 29 Mar 2012 10:03:21 GMT) Full text and rfc822 format available.

Message #30 received at 666067@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: "<666067@bugs.debian.org>" <666067@bugs.debian.org>, "\" \" <libkpathsea6@packages.debian.org>" <libkpathsea6@packages.debian.org>
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Thu, 29 Mar 2012 18:59:57 +0900
Hi Adam,

>> Hahahahaha, sure, I can also wait another two years.
> 
> fwiw, if you'd requested binNMUs while the new texlive-bin was in experimental, we'd have been happy to schedule them for you.  I'm not sure why you think that would have taken so long.

Call me ignorant, but I don't know anything about requesting NMUs and the like. I have very scarce time and packaging a beast of that size does not allow me to read thinhs here and there etc. I am happy that after long time I got a working package.

So, bottom line what I meant with rebuilding is that I thought you asked *me* to build test all the packages.

> The fact that other transitions may not have been ideal in the past doesn't mean we shouldn't try and improve things in general, surely?

Surely, that is why I have I think already three times asked to get prior warning if another completely poppler comes in, and only now, for 0.18 the first time AFAIR we got a warning.

So my believe in *any* planning of transitions is not existing.

> I don't recall seeing a request for assitance in respect to those issues.  If there was one and I missed it, I apologise for that.

Again, we try to fix problems by ourself, probably again ignorance.

> I think you're reading things in to my mail which aren't there, fwiw.  

Well, the first email sounded like "hey, why the heck didn't you concur with us first?".

But let us finish that and do technical stuff, rethoric is boring.

Let me know if something goes weird.

Norbert



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Thu, 29 Mar 2012 13:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 29 Mar 2012 13:12:04 GMT) Full text and rfc822 format available.

Message #35 received at 666067@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Norbert Preining <preining@logic.at>, <666067@bugs.debian.org>
Cc: <libkpathsea6@packages.debian.org>
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Thu, 29 Mar 2012 14:09:22 +0100
block 666067 with 666169 666172 666170 666181
thanks

On 29.03.2012 10:59, Norbert Preining wrote:
> Let me know if something goes weird.

There have been four build failures from the binNMUs so far - catdvi 
(#666169), dvi2dvi (#666172), ptex-bin (#666170), texfam (#666171).

Regards,

Adam




Added blocking bug(s) of 666067: 666172, 666170, and 666169 Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Thu, 29 Mar 2012 13:12:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 666067: 666171 Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Thu, 29 Mar 2012 13:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Thu, 29 Mar 2012 13:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 29 Mar 2012 13:30:03 GMT) Full text and rfc822 format available.

Message #44 received at 666067@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 666067@bugs.debian.org, libkpathsea6@packages.debian.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Thu, 29 Mar 2012 22:26:08 +0900
On Do, 29 MÀr 2012, Adam D. Barratt wrote:
> There have been four build failures from the binNMUs so far - catdvi  
> (#666169), dvi2dvi (#666172), ptex-bin (#666170), texfam (#666171).

ptex-bin is replaced by texlive-binaries, no problem with that, it 
will be removed anyway soon.

The others I will look also into it tomorrow, now it is time to
sleep.

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
LUFFENHAM (n.)
Feeling you get when the pubs aren't going to be open for another
fortyfive minutes and the luffness is beginning to wear a bit thin.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Thu, 29 Mar 2012 23:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 29 Mar 2012 23:18:02 GMT) Full text and rfc822 format available.

Message #49 received at 666067@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: adam@adam-barratt.org.uk
Cc: preining@logic.at, 666067@bugs.debian.org, libkpathsea6@packages.debian.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Fri, 30 Mar 2012 07:50:47 +0900 (JST)
Hi Adam, thanks for your work!

On Thu, 29 Mar 2012 14:09:22 +0100, "Adam D. Barratt" wrote:

> block 666067 with 666169 666172 666170 666181
> thanks
> 
> On 29.03.2012 10:59, Norbert Preining wrote:
>> Let me know if something goes weird.
> 
> There have been four build failures from the binNMUs so far - catdvi
> (#666169), dvi2dvi (#666172), ptex-bin (#666170), texfam (#666171).

FYI.  ptex-bin is replaced with new TeXLive packages
and should be removed, at least, in a near future.

texfam is (obsolete) japanese TeX system and it should
be removed if it failes to be compatible with libkpathse6.
I'm not sure if texfam could be compatible with libkpathsea6 
or not but I'll contact the maintainer about this issue
afterwards.
(BTW texfam might be programmed for libkpathsea3 or 4, IIRC)

dvi2dvi is a program mainly to convert DVI generated by texfam
(well, JTeX precisely) to a format of pTeX's DVI so it is useless
if texfam is removed.

I hope this helps you a bit.

Best regards,			2012-3-30(Fri)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Tue, 03 Apr 2012 18:06:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 03 Apr 2012 18:06:16 GMT) Full text and rfc822 format available.

Message #54 received at 666067@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>, 666067@bugs.debian.org
Cc: preining@logic.at, libkpathsea6@packages.debian.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Tue, 03 Apr 2012 19:04:39 +0100
block 666067 with 666293
thanks

Hi,

On Fri, 2012-03-30 at 07:50 +0900, Atsuhito Kohda wrote:
> On Thu, 29 Mar 2012 14:09:22 +0100, "Adam D. Barratt" wrote:
> > There have been four build failures from the binNMUs so far - catdvi
> > (#666169), dvi2dvi (#666172), ptex-bin (#666170), texfam (#666171).

Also #666293 (dvi2ps), which I missed before.

> FYI.  ptex-bin is replaced with new TeXLive packages
> and should be removed, at least, in a near future.

Okay.  We'll remove it from testing once everything else is ready then;
I guess an RM request will appear for unstable in due course.

> texfam is (obsolete) japanese TeX system and it should
> be removed if it failes to be compatible with libkpathse6.
> I'm not sure if texfam could be compatible with libkpathsea6 
> or not but I'll contact the maintainer about this issue
> afterwards.
> (BTW texfam might be programmed for libkpathsea3 or 4, IIRC)

Thanks.  Any news on that?

> dvi2dvi is a program mainly to convert DVI generated by texfam
> (well, JTeX precisely) to a format of pTeX's DVI so it is useless
> if texfam is removed.

Okay; let's see what happens with texfam.

> I hope this helps you a bit.

Yes; thanks.  That just leaves us with catdvi and dvi2ps to sort out.

Regards,

Adam





Added blocking bug(s) of 666067: 666293 Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Tue, 03 Apr 2012 18:06:18 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 666067: 667051 Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Tue, 03 Apr 2012 18:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Wed, 04 Apr 2012 01:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 04 Apr 2012 01:45:05 GMT) Full text and rfc822 format available.

Message #63 received at 666067@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: adam@adam-barratt.org.uk
Cc: 666067@bugs.debian.org, preining@logic.at, libkpathsea6@packages.debian.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Wed, 04 Apr 2012 10:43:41 +0900 (JST)
Hi Adam,

On Tue, 03 Apr 2012 19:04:39 +0100, "Adam D. Barratt" wrote:

> On Fri, 2012-03-30 at 07:50 +0900, Atsuhito Kohda wrote:
>> On Thu, 29 Mar 2012 14:09:22 +0100, "Adam D. Barratt" wrote:
>> > There have been four build failures from the binNMUs so far - catdvi
>> > (#666169), dvi2dvi (#666172), ptex-bin (#666170), texfam (#666171).
> 
> Also #666293 (dvi2ps), which I missed before.

I remembered that dvi2ps caused problem when we upgraded
to kpathsea5.  
It looks the maintainer is not active recently but I found 
the upstream has released new version which is based on TL2009.
It is not based on TL2012 but it is much better and much easier 
to migrate to TL2012 than the current version.
Anyway, I'll contact the maintainer.

>> FYI.  ptex-bin is replaced with new TeXLive packages
>> and should be removed, at least, in a near future.
> 
> Okay.  We'll remove it from testing once everything else is ready then;
> I guess an RM request will appear for unstable in due course.

Norbert and all, I'm afraid we should prepare dummy packages
to make upgrade smoothly at some point.  
Is it TeXLive packages that build dummy packages? 
Of course I'll build dummy package of my packages if necessary.

>> texfam is (obsolete) japanese TeX system and it should
>> be removed if it failes to be compatible with libkpathse6.
>> I'm not sure if texfam could be compatible with libkpathsea6 
>> or not but I'll contact the maintainer about this issue
>> afterwards.
>> (BTW texfam might be programmed for libkpathsea3 or 4, IIRC)
> 
> Thanks.  Any news on that?

Yes, we've already communicated successfully and 
new beta version is released by the upstream.
But please wait.  I believe it might take more time.

Best regards,	    	     2012-4-4(Wed)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Added indication that bug 666067 blocks 666126 Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 21:09:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 666067: 668925 Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 15 Apr 2012 18:42:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Tue, 17 Apr 2012 10:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 17 Apr 2012 10:12:08 GMT) Full text and rfc822 format available.

Message #72 received at 666067@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
Cc: adam@adam-barratt.org.uk, 666067@bugs.debian.org, libkpathsea6@packages.debian.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Tue, 17 Apr 2012 19:09:04 +0900
Kohda-san,

On Mi, 04 Apr 2012, Atsuhito Kohda wrote:
> > Also #666293 (dvi2ps), which I missed before.
> 
> I remembered that dvi2ps caused problem when we upgraded
> to kpathsea5.  
> It looks the maintainer is not active recently but I found 
> the upstream has released new version which is based on TL2009.
> It is not based on TL2012 but it is much better and much easier 
> to migrate to TL2012 than the current version.
> Anyway, I'll contact the maintainer.

Thanks, did you get any response?

> Norbert and all, I'm afraid we should prepare dummy packages
> to make upgrade smoothly at some point.  
> Is it TeXLive packages that build dummy packages? 
> Of course I'll build dummy package of my packages if necessary.

I have done that already, ptex-bin dummy package is now build from
texlive-lang-cjk.

> >> texfam is (obsolete) japanese TeX system and it should
> >> be removed if it failes to be compatible with libkpathse6.
> >> I'm not sure if texfam could be compatible with libkpathsea6 
> >> or not but I'll contact the maintainer about this issue
> >> afterwards.
> >> (BTW texfam might be programmed for libkpathsea3 or 4, IIRC)
> > 
> > Thanks.  Any news on that?
> 
> Yes, we've already communicated successfully and 
> new beta version is released by the upstream.
> But please wait.  I believe it might take more time.

I have preliminary packages, but they need some fixup, but at
least they compile on current sources.

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
MASSACHUSETTS (pl.n.)
Those items and particles which people who, after blowing their noses,
are searching for when they look into their hankies.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Tue, 17 Apr 2012 12:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 17 Apr 2012 12:54:09 GMT) Full text and rfc822 format available.

Message #77 received at 666067@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: preining@logic.at
Cc: adam@adam-barratt.org.uk, 666067@bugs.debian.org, libkpathsea6@packages.debian.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Tue, 17 Apr 2012 21:21:24 +0900 (JST)
Hi Norbert,

On Tue, 17 Apr 2012 19:09:04 +0900, Norbert Preining wrote:

> On Mi, 04 Apr 2012, Atsuhito Kohda wrote:
>> > Also #666293 (dvi2ps), which I missed before.
>> 
>> I remembered that dvi2ps caused problem when we upgraded
>> to kpathsea5.  
>> It looks the maintainer is not active recently but I found 
>> the upstream has released new version which is based on TL2009.
>> It is not based on TL2012 but it is much better and much easier 
>> to migrate to TL2012 than the current version.
>> Anyway, I'll contact the maintainer.
> 
> Thanks, did you get any response?

Yes, it took almost a week to get response but I got
a response and the maintainer said he would work to fix
the problem in this week.

>> >> I'm not sure if texfam could be compatible with libkpathsea6 
>> >> or not but I'll contact the maintainer about this issue
> 
> I have preliminary packages, but they need some fixup, but at
> least they compile on current sources.

It's very nice.  I think I could NMU fixed catdvi and dvi2dvi
if necessary and urgent so I hope there will be no block soon.

Best regards,	 	     	  2012-4-17(Tue)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Thu, 26 Apr 2012 22:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 26 Apr 2012 22:45:02 GMT) Full text and rfc822 format available.

Message #82 received at 666067@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Norbert Preining <preining@logic.at>, 666067@bugs.debian.org
Cc: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>, libkpathsea6@packages.debian.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Thu, 26 Apr 2012 23:39:14 +0100
On Tue, 2012-04-17 at 19:09 +0900, Norbert Preining wrote:
> On Mi, 04 Apr 2012, Atsuhito Kohda wrote:
> > Norbert and all, I'm afraid we should prepare dummy packages
> > to make upgrade smoothly at some point.  
> > Is it TeXLive packages that build dummy packages? 
> > Of course I'll build dummy package of my packages if necessary.
> 
> I have done that already, ptex-bin dummy package is now build from
> texlive-lang-cjk.

I guess the intention is that jmpost and jbibtex-bin simply go away?
(They're also built from ptex-bin, but don't appear to have any reverse
dependencies.)

> > >> texfam is (obsolete) japanese TeX system and it should
> > >> be removed if it failes to be compatible with libkpathse6.
> > >> I'm not sure if texfam could be compatible with libkpathsea6 
> > >> or not but I'll contact the maintainer about this issue
> > >> afterwards.
> > >> (BTW texfam might be programmed for libkpathsea3 or 4, IIRC)
> > > 
> > > Thanks.  Any news on that?
> > 
> > Yes, we've already communicated successfully and 
> > new beta version is released by the upstream.
> > But please wait.  I believe it might take more time.
> 
> I have preliminary packages, but they need some fixup, but at
> least they compile on current sources.

We're getting close to texfam being the main blocker for getting rid of
libkpathsea5 from testing and unstable.  catdvi has already been NMUed
and there are dvi2{dvi,ps} uploads in the DEFERRED queue.

Removing texfam from testing would still require us using hammers to get
the remaining packages transitioned, due to the libkpathsea5 binaries
still being in unstable.  It's tempting to get the old binaries cleaned
up from unstable once the NMUs hit in order to ease the transition -
this would make texfam uninstallable but if it's obsolete (and likely
being updated soonish) then this presumably isn't a huge issue.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Thu, 26 Apr 2012 23:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 26 Apr 2012 23:15:03 GMT) Full text and rfc822 format available.

Message #87 received at 666067@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 666067@bugs.debian.org, Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>, libkpathsea6@packages.debian.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Fri, 27 Apr 2012 08:12:49 +0900
Hi Adam, hi Kohda-san

On Do, 26 Apr 2012, Adam D. Barratt wrote:
> I guess the intention is that jmpost and jbibtex-bin simply go away?
> (They're also built from ptex-bin, but don't appear to have any reverse
> dependencies.)

Kohda-san? I am not sure, I would say yes.


> We're getting close to texfam being the main blocker for getting rid of
> libkpathsea5 from testing and unstable.  catdvi has already been NMUed
> and there are dvi2{dvi,ps} uploads in the DEFERRED queue.
> 
> Removing texfam from testing would still require us using hammers to get
> the remaining packages transitioned, due to the libkpathsea5 binaries
> still being in unstable.  It's tempting to get the old binaries cleaned
> up from unstable once the NMUs hit in order to ease the transition -
> this would make texfam uninstallable but if it's obsolete (and likely
> being updated soonish) then this presumably isn't a huge issue.

I am for removing of texfam for now. I am working on porting texfam 
to the new kpathsea. I first thought that simply building it wiht 
kpathsea from TL2009 would suffice, but it doesn't since in TL2011
onward libkpathsea usage of texmf.cnf has become stacked, i.e. it 
reads all the config files, which we heavily use now. But that
makes texfam break on installation and cannot run.

I will try my best to port it to libkpathsea6, but for now I gues
if nobody else takes this job, I guess we have to live with an uninstallable
texfam.

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
There are of course many problems connected with life, of
which some of the most popular are `Why are people born?'
Why do they spend so much of the
intervening time wearing digital watches?'
                 --- The Book.
                 --- Douglas Adams, The Hitchhikers Guide to the Galaxy




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Thu, 26 Apr 2012 23:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 26 Apr 2012 23:51:05 GMT) Full text and rfc822 format available.

Message #92 received at 666067@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: preining@logic.at
Cc: adam@adam-barratt.org.uk, 666067@bugs.debian.org, libkpathsea6@packages.debian.org, yy.y.ja.jp@gmail.com, tsuchiya@namazu.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Fri, 27 Apr 2012 08:50:04 +0900 (JST)
Hi all,

On Fri, 27 Apr 2012 08:12:49 +0900, Norbert Preining wrote:

> On Do, 26 Apr 2012, Adam D. Barratt wrote:
>> I guess the intention is that jmpost and jbibtex-bin simply go away?
>> (They're also built from ptex-bin, but don't appear to have any reverse
>> dependencies.)
> 
> Kohda-san? I am not sure, I would say yes.

Hmm, wait a bit more.
If we fail to update texfam, it is no problem to remove
jbibtex-bin but if we can update texfam jbibtex-bin is
necessary.  So this depends on the status of texfam.

I think jbibtex-base (not -bin!) is replaced by texlive-lang-cjk
/usr/share/texlive/texmf-dist/pbibtex
/usr/share/texlive/texmf-dist/pbibtex/bib
/usr/share/texlive/texmf-dist/pbibtex/bib/jxampl.bib
/usr/share/texlive/texmf-dist/pbibtex/bst
/usr/share/texlive/texmf-dist/pbibtex/bst/jabbrv.bst
...
so I believe we can remove it.

I guess we can remove jmpost but, for safety, please wait 
a while, I'll check it deliberately.

Yoshino-san, if you are so kind to check these, please comment.

> I will try my best to port it to libkpathsea6, but for now I gues
> if nobody else takes this job, I guess we have to live with an uninstallable
> texfam.

I also tried to build texfam with libkpathsea6 but failed 
to do it.
Tsuchiya-san, any comments?

Best regards,				2012-4-27(Fri)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Fri, 27 Apr 2012 00:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 27 Apr 2012 00:30:03 GMT) Full text and rfc822 format available.

Message #97 received at 666067@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: kohda@pm.tokushima-u.ac.jp
Cc: preining@logic.at, adam@adam-barratt.org.uk, 666067@bugs.debian.org, libkpathsea6@packages.debian.org, yy.y.ja.jp@gmail.com, tsuchiya@namazu.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Fri, 27 Apr 2012 09:28:10 +0900 (JST)
Hi,

On Fri, 27 Apr 2012 08:50:04 +0900 (JST), Atsuhito Kohda wrote:

> I guess we can remove jmpost but, for safety, please wait 
> a while, I'll check it deliberately.

Well, it seemed pmetapost is not contained in texlive
packages so we need it theoretically but jmpost is built 
from ptex-bin.
jbibtex-bin is also built from ptex-bin as Adam wrote.

So we are in a very complicated situation.
jmpost is not replaced with any binary of texlive packages.
jbibtex-bin is replaced with pbibtex basically but is 
convenient for texfam.

But both jmpost and jbibtex-bin are built (as byproducts) 
from ptex-bin which gets FTBFS bug.

So we might admit they simply go away.

Best regards,	       	      2012-4-27(Fri)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Fri, 27 Apr 2012 01:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 27 Apr 2012 01:12:02 GMT) Full text and rfc822 format available.

Message #102 received at 666067@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
Cc: "adam@adam-barratt.org.uk" <adam@adam-barratt.org.uk>, "666067@bugs.debian.org" <666067@bugs.debian.org>, "libkpathsea6@packages.debian.org" <libkpathsea6@packages.debian.org>, "yy.y.ja.jp@gmail.com" <yy.y.ja.jp@gmail.com>, "tsuchiya@namazu.org" <tsuchiya@namazu.org>
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Fri, 27 Apr 2012 10:08:58 +0900
Kohda-san

> Well, it seemed pmetapost is not contained in texlive
> packages so we need it theoretically but jmpost is built 
> from ptex-bin.
> jbibtex-bin is also built from ptex-bin as Adam wrote.

If needed I can include pmetapost and pxdvi in the builds of texlive-binaries, the patches are ready and often used for tlptexlive.

Then we could include simply pmetapost and pxdvi in texlive-binaries and replace/conflict with the other packages?

WDYT?

That would leave jtex binary open only, afais?!

Norbert





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Fri, 27 Apr 2012 01:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 27 Apr 2012 01:27:03 GMT) Full text and rfc822 format available.

Message #107 received at 666067@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: preining@logic.at
Cc: adam@adam-barratt.org.uk, 666067@bugs.debian.org, libkpathsea6@packages.debian.org, yy.y.ja.jp@gmail.com, tsuchiya@namazu.org, uwabami@gfd-dennou.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Fri, 27 Apr 2012 10:24:09 +0900 (JST)
On Fri, 27 Apr 2012 10:08:58 +0900, Norbert Preining <preining@logic.at> wrote:

> Kohda-san
> 
>> Well, it seemed pmetapost is not contained in texlive
>> packages so we need it theoretically but jmpost is built 
>> from ptex-bin.
>> jbibtex-bin is also built from ptex-bin as Adam wrote.
> 
> If needed I can include pmetapost and pxdvi in the builds of texlive-binaries, the patches are ready and often used for tlptexlive.
> 
> Then we could include simply pmetapost and pxdvi in texlive-binaries and replace/conflict with the other packages?
> 
> WDYT?

Yes I think so.  But pxdvi is already packaged as xdvik-ja 
by Sasaki-san so I believe it will be necessary to arrange 
how to merge pxdvi in texlive packages with Sasaki-san.
I hope there will be no problem.

> That would leave jtex binary open only, afais?!

Yes and it will be the biggest problem.

Anyway, texlive packages provide us the best japanese TeX
system.  Thanks for your great work!

Best regards.	       	       2012-4-27(Fri)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Fri, 27 Apr 2012 01:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 27 Apr 2012 01:27:04 GMT) Full text and rfc822 format available.

Message #112 received at 666067@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
Cc: adam@adam-barratt.org.uk, 666067@bugs.debian.org, libkpathsea6@packages.debian.org, yy.y.ja.jp@gmail.com, tsuchiya@namazu.org, uwabami@gfd-dennou.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Fri, 27 Apr 2012 10:26:39 +0900
Kohda-san

On Fr, 27 Apr 2012, Atsuhito Kohda wrote:
> > Then we could include simply pmetapost and pxdvi in texlive-binaries and replace/conflict with the other packages?
> > 
> > WDYT?
> 
> Yes I think so.  But pxdvi is already packaged as xdvik-ja 

Well, then I only incude pmetapost ... it all depends on what we
want. I don't need to build everything from texlive-binaries.

I Sasaki-san receiving these emails?

> > That would leave jtex binary open only, afais?!
> 
> Yes and it will be the biggest problem.

Of course, but one that can be resolved over time, if we manage so!

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
HUCKNALL (vb.)
To crouch upwards: as in the movement of a seated person's feet and
legs made in order to allow a cleaner's hoover to pass beneath them.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Fri, 27 Apr 2012 01:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 27 Apr 2012 01:33:03 GMT) Full text and rfc822 format available.

Message #117 received at 666067@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: preining@logic.at
Cc: adam@adam-barratt.org.uk, 666067@bugs.debian.org, libkpathsea6@packages.debian.org, yy.y.ja.jp@gmail.com, tsuchiya@namazu.org, uwabami@gfd-dennou.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Fri, 27 Apr 2012 10:31:18 +0900 (JST)
Hi all,

On Fri, 27 Apr 2012 10:26:39 +0900, Norbert Preining wrote:

> I Sasaki-san receiving these emails?

Yes I've cc'ed the mail to him.

Best regards,			2012-4-27(Fri)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Fri, 27 Apr 2012 02:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 27 Apr 2012 02:57:03 GMT) Full text and rfc822 format available.

Message #122 received at 666067@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
Cc: adam@adam-barratt.org.uk, 666067@bugs.debian.org, libkpathsea6@packages.debian.org, yy.y.ja.jp@gmail.com, tsuchiya@namazu.org, uwabami@gfd-dennou.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Fri, 27 Apr 2012 11:52:36 +0900
Kohda-san,

On Fr, 27 Apr 2012, Norbert Preining wrote:
> Well, then I only incude pmetapost ... it all depends on what we

Some question concerning implementation of that:
- include pmpost binary
- include pmakempx script from former jmpost package (?)
- conflict/replace/provide: jmpost

Is this enough? Do we need a link jmpost -> pmpost?
Do we need more temp packages?

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
LYBSTER (n., vb.)
The artificial chuckle in the voice-over at the end of a supposedly
funny television commercial.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Fri, 27 Apr 2012 03:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 27 Apr 2012 03:33:03 GMT) Full text and rfc822 format available.

Message #127 received at 666067@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: preining@logic.at
Cc: kohda@pm.tokushima-u.ac.jp, adam@adam-barratt.org.uk, 666067@bugs.debian.org, libkpathsea6@packages.debian.org, yy.y.ja.jp@gmail.com, tsuchiya@namazu.org, uwabami@gfd-dennou.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Fri, 27 Apr 2012 12:28:27 +0900 (JST)
Hi Norbert,

On Fri, 27 Apr 2012 11:52:36 +0900, Norbert Preining wrote:

> Some question concerning implementation of that:
> - include pmpost binary
> - include pmakempx script from former jmpost package (?)
> - conflict/replace/provide: jmpost
> 
> Is this enough? Do we need a link jmpost -> pmpost?
> Do we need more temp packages?

I need to check source of texlive-binaries package.
Only quick reply.  

Is there *dvitomp (pdvitomp etc.)?
Is there *makempx (pmakempx etc.)?

Basically I think (or I prefer) there is no need to 
link jmpost -> pmpost.

Best regards,			2012-4-27(Fri)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Fri, 27 Apr 2012 03:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 27 Apr 2012 03:57:07 GMT) Full text and rfc822 format available.

Message #132 received at 666067@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
Cc: adam@adam-barratt.org.uk, 666067@bugs.debian.org, libkpathsea6@packages.debian.org, yy.y.ja.jp@gmail.com, tsuchiya@namazu.org, uwabami@gfd-dennou.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Fri, 27 Apr 2012 12:53:21 +0900
Kohda-san,

On Fr, 27 Apr 2012, Atsuhito Kohda wrote:
> Is there *dvitomp (pdvitomp etc.)?
	pdvitomp -> pmpost

> Is there *makempx (pmakempx etc.)?
	script, I copied it from jmpost package into texlive-binaries

> Basically I think (or I prefer) there is no need to 
> link jmpost -> pmpost.

Good, so that is settled.

New packages for texlive-bin* are on people.debian.org as usual,
with sources. Please take a look.
	deb	http://people.debian.org/~preining/TeX/ pool/
	deb-src	http://people.debian.org/~preining/TeX/ pool/

What do you think? Should I upload to unstable now or should
I wait until the testing transition is over once?

debian-release people? Advise?

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
PEVENSEY (n. archaic)
The right to collect shingle from the king's foreshore.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Fri, 27 Apr 2012 05:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 27 Apr 2012 05:24:03 GMT) Full text and rfc822 format available.

Message #137 received at 666067@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: preining@logic.at
Cc: adam@adam-barratt.org.uk, 666067@bugs.debian.org, libkpathsea6@packages.debian.org, yy.y.ja.jp@gmail.com, tsuchiya@namazu.org, uwabami@gfd-dennou.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Fri, 27 Apr 2012 14:21:04 +0900 (JST)
Hi Norbert,

On Fri, 27 Apr 2012 12:53:21 +0900, Norbert Preining <preining@logic.at> wrote:

> On Fr, 27 Apr 2012, Atsuhito Kohda wrote:
>> Is there *dvitomp (pdvitomp etc.)?
> 	pdvitomp -> pmpost

Okay.

>> Is there *makempx (pmakempx etc.)?
> 	script, I copied it from jmpost package into texlive-binaries

Hmm, I think this is unnecessary.  From tlptexlive web page
it is declared pmetapost is included.
And I tested pmpost of the latest tlptexlive.

It seems "pmpost -tex=platex foo.mp" works fine without
pmakempx.  Of course, foo.mp contains japanese characters
which I borrowed from upTeX's example.

Also there is no makempx which means, I guess, mpost doesn't 
call makempx anymore.

> New packages for texlive-bin* are on people.debian.org as usual,
> with sources. Please take a look.
> 	deb	http://people.debian.org/~preining/TeX/ pool/
> 	deb-src	http://people.debian.org/~preining/TeX/ pool/
> 
> What do you think? Should I upload to unstable now or should
> I wait until the testing transition is over once?

I'll take a look afterwards.  Thanks for your work!

> debian-release people? Advise?

I'd like to know an advice too.

Best regards,			2012-4-27(Fri)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Fri, 27 Apr 2012 09:09:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 27 Apr 2012 09:09:47 GMT) Full text and rfc822 format available.

Message #142 received at 666067@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
Cc: adam@adam-barratt.org.uk, 666067@bugs.debian.org, libkpathsea6@packages.debian.org, yy.y.ja.jp@gmail.com, tsuchiya@namazu.org, uwabami@gfd-dennou.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Fri, 27 Apr 2012 18:05:31 +0900
On Fr, 27 Apr 2012, Atsuhito Kohda wrote:
> >> Is there *makempx (pmakempx etc.)?
> > 	script, I copied it from jmpost package into texlive-binaries
> 
> Hmm, I think this is unnecessary.  From tlptexlive web page
> it is declared pmetapost is included.
> And I tested pmpost of the latest tlptexlive.
> 
> It seems "pmpost -tex=platex foo.mp" works fine without
> pmakempx.  Of course, foo.mp contains japanese characters
> which I borrowed from upTeX's example.
> 
> Also there is no makempx which means, I guess, mpost doesn't 
> call makempx anymore.

Ok, removing it again, so please NOBODY uploads the packages 
I have uploaded to people, the still contain the pmakempx script ;-)

> > What do you think? Should I upload to unstable now or should
> > I wait until the testing transition is over once?
> 
> I'll take a look afterwards.  Thanks for your work!

But please test them, esp with respect to upgrades. When I am back
(Kamikochi climbing Maehokadake, then Sadogashima) I will build new
packages and upload them.

> > debian-release people? Advise?
> 
> I'd like to know an advice too.

Too late, I am leaving soon. Will have to wait after Golden Week.

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
"Yes, it's the right planet, all right," he said again.
"Right planet, wrong universe."
                 --- Douglas Adams, The Hitchhikers Guide to the Galaxy




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Fri, 27 Apr 2012 09:24:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 27 Apr 2012 09:24:12 GMT) Full text and rfc822 format available.

Message #147 received at 666067@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Norbert Preining <preining@logic.at>
Cc: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>, <666067@bugs.debian.org>, <libkpathsea6@packages.debian.org>, <yy.y.ja.jp@gmail.com>, <tsuchiya@namazu.org>, <uwabami@gfd-dennou.org>
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Fri, 27 Apr 2012 10:20:44 +0100
On 27.04.2012 10:05, Norbert Preining wrote:
> On Fr, 27 Apr 2012, Atsuhito Kohda wrote:
>> > What do you think? Should I upload to unstable now or should
>> > I wait until the testing transition is over once?
>>
>> I'll take a look afterwards.  Thanks for your work!
>
> But please test them, esp with respect to upgrades. When I am back
> (Kamikochi climbing Maehokadake, then Sadogashima) I will build new
> packages and upload them.
>
>> > debian-release people? Advise?
>>
>> I'd like to know an advice too.
>
> Too late, I am leaving soon. Will have to wait after Golden Week.

My answer would have been the same in any case - if texfam is obsolete 
and relatively unused then I'd prefer to look at getting the testing 
transition out of the way sooner rather than later; that also means 
there's no rush to get texfam updated just to get things transitioned.

The dvi2{dvi,ps} NMUs will hit the archive over the next couple of 
days, so I'd propose that we look at transitioning texlive-* and the 
libkpathsea reverse-dependencies early next week, removing texfam from 
testing and breaking it in unstable in the process - texlive people, 
does that sound okay?

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Fri, 27 Apr 2012 13:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 27 Apr 2012 13:54:03 GMT) Full text and rfc822 format available.

Message #152 received at 666067@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>, 666067@bugs.debian.org, libkpathsea6@packages.debian.org, yy.y.ja.jp@gmail.com, tsuchiya@namazu.org, uwabami@gfd-dennou.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Fri, 27 Apr 2012 22:51:40 +0900
On Fr, 27 Apr 2012, Adam D. Barratt wrote:
> testing and breaking it in unstable in the process - texlive people,  
> does that sound okay?

Definitely.

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
HUNA (n.)
The result of coming to the wrong decision.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Wed, 02 May 2012 05:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 02 May 2012 05:30:05 GMT) Full text and rfc822 format available.

Message #157 received at 666067@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Norbert Preining <preining@logic.at>, 666067@bugs.debian.org
Cc: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>, libkpathsea6@packages.debian.org, yy.y.ja.jp@gmail.com, tsuchiya@namazu.org, uwabami@gfd-dennou.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Wed, 02 May 2012 06:25:45 +0100
On Fri, 2012-04-27 at 22:51 +0900, Norbert Preining wrote:
> On Fr, 27 Apr 2012, Adam D. Barratt wrote:
> > testing and breaking it in unstable in the process - texlive people,  
> > does that sound okay?
> 
> Definitely.

I've been looking at some test runs for this.  In brief:

- okumura-clsfiles, ptex-jisfonts and vfdata-morisawa5 now appear to be
virtual packages provided by texlive-lang-cjk, so I've assumed the "old"
source packages should be removed from testing
- cadabra depends on texlive-latex3, which no longer exists
- itrans depends on tex-common; the new version of tex-common Breaks the
current version of itrans.  Likewise scalable-cyrfonts-tex.
- dvi2ps-fontdesc-morisawa5 has a versioned dependency on
vfdata-morisawa5 which can't be satisfied by the Provides

Thoughts welcome.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Wed, 02 May 2012 05:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 02 May 2012 05:51:06 GMT) Full text and rfc822 format available.

Message #162 received at 666067@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: "666067@bugs.debian.org" <666067@bugs.debian.org>, Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>, "libkpathsea6@packages.debian.org" <libkpathsea6@packages.debian.org>, "yy.y.ja.jp@gmail.com" <yy.y.ja.jp@gmail.com>, "tsuchiya@namazu.org" <tsuchiya@namazu.org>, "uwabami@gfd-dennou.org" <uwabami@gfd-dennou.org>
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Wed, 2 May 2012 14:45:43 +0900
Hi Adam,

> - okumura-clsfiles, ptex-jisfonts and vfdata-morisawa5 now appear to be
> virtual packages provided by texlive-lang-cjk, so I've assumed the "old"
> source packages should be removed from testing

Yes from my side, but the maintainers have to give their word.

> - cadabra depends on texlive-latex3, which no longer exists

I don't know which package (LaTeX package) they need, but it is probably in tl-latex-recommended or -extra. If they install texlive-full and the use dlocate to find the respective replacement it will be fixed in a minute. But I don't know what they need from the former -latex3

> - itrans depends on tex-common; the new version of tex-common Breaks the
> current version of itrans.

I know, this packagehas serious problems and I tried to fix a few of them but not all. I already informed the maintainers long time ago.


>  Likewise scalable-cyrfonts-tex.

Same here, I had several contacts with the maintainer. The problem is that this package provides a tex font name that is already in use since long and also since long in TeX Live. So installing this package would suddenly change all documents using the standard font names.

The maintainer seems to have orphaned this package, so probably the best is to male an upload of the source package were this one bin package is not build anymore.


> - dvi2ps-fontdesc-morisawa5 has a versioned dependency on
> vfdata-morisawa5 which can't be satisfied by the Provides

Should be adapted by the maintainers.

Anything else I can provide?

Norbert

PS: leaving in 6 hours for 4 days without computer ...



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Thu, 03 May 2012 19:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 03 May 2012 19:54:03 GMT) Full text and rfc822 format available.

Message #167 received at 666067@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Norbert Preining <preining@logic.at>, 666067@bugs.debian.org
Cc: libkpathsea6@packages.debian.org, okumura-clsfiles@packages.debian.org, ptex-jisfonts@packages.debian.org, vfdata-morisawa5@packages.debian.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Thu, 03 May 2012 20:48:09 +0100
On Wed, 2012-05-02 at 14:45 +0900, Norbert Preining wrote:
> > - okumura-clsfiles, ptex-jisfonts and vfdata-morisawa5 now appear to be
> > virtual packages provided by texlive-lang-cjk, so I've assumed the "old"
> > source packages should be removed from testing
> 
> Yes from my side, but the maintainers have to give their word.

Maintainers added to Cc.  Please confirm...

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Thu, 03 May 2012 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 03 May 2012 19:57:03 GMT) Full text and rfc822 format available.

Message #172 received at 666067@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Norbert Preining <preining@logic.at>, 666067@bugs.debian.org
Cc: libkpathsea6@packages.debian.org, cadabra@packages.debian.org, itrans@packages.debian.org, scalable-cyrfonts-tex@packages.debian.org, dvi2ps-fontdesc-morisawa5@packages.debian.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Thu, 03 May 2012 20:53:26 +0100
Cc:ed maintainers, please comment on the relevant note below which
corresponds to your package.

For context, these four packages are broken by the transition of the new
libkpathsea + texlive stack to testing, which I'm trying to finalise.
I'd like to get that out of the way over the weekend, if not before, so
speedy responses would be appreciated.  There's a possibility the
packages may be removed from testing if necessary.

On Wed, 2012-05-02 at 14:45 +0900, Norbert Preining wrote:
> > - cadabra depends on texlive-latex3, which no longer exists
> 
> I don't know which package (LaTeX package) they need, but it is
> probably in tl-latex-recommended or -extra. If they install
> texlive-full and the use dlocate to find the respective replacement it
> will be fixed in a minute. But I don't know what they need from the
> former -latex3
> 
> > - itrans depends on tex-common; the new version of tex-common Breaks
> the
> > current version of itrans.
> 
> I know, this packagehas serious problems and I tried to fix a few of
> them but not all. I already informed the maintainers long time ago.
>
> 
> >  Likewise scalable-cyrfonts-tex.
> 
> Same here, I had several contacts with the maintainer. The problem is
> that this package provides a tex font name that is already in use
> since long and also since long in TeX Live. So installing this package
> would suddenly change all documents using the standard font names.
> 
> The maintainer seems to have orphaned this package, so probably the
> best is to male an upload of the source package were this one bin
> package is not build anymore.
> 
> 
> > - dvi2ps-fontdesc-morisawa5 has a versioned dependency on
> > vfdata-morisawa5 which can't be satisfied by the Provides
> 
> Should be adapted by the maintainers.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Fri, 04 May 2012 00:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 04 May 2012 00:06:06 GMT) Full text and rfc822 format available.

Message #177 received at 666067@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: adam@adam-barratt.org.uk
Cc: preining@logic.at, 666067@bugs.debian.org, libkpathsea6@packages.debian.org, okumura-clsfiles@packages.debian.org, ptex-jisfonts@packages.debian.org, vfdata-morisawa5@packages.debian.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Fri, 04 May 2012 09:02:49 +0900 (JST)
Hi Adam,

On Thu, 03 May 2012 20:48:09 +0100, "Adam D. Barratt" wrote:

> On Wed, 2012-05-02 at 14:45 +0900, Norbert Preining wrote:
>> > - okumura-clsfiles, ptex-jisfonts and vfdata-morisawa5 now appear to be
>> > virtual packages provided by texlive-lang-cjk, so I've assumed the "old"
>> > source packages should be removed from testing
>> 
>> Yes from my side, but the maintainers have to give their word.
> 
> Maintainers added to Cc.  Please confirm...

About vfdata-morisawa5, there is no problem.  Please remove it
from testing.  If necessary I agree also to remove it from Debian
archive.

BTW, I guess I already confirmed removal of my package with
http://lists.debian.org/debian-tex-maint/2012/03/msg00031.html
but apparently it doesn't reach you, Adam.

Best regards,  	  	  	     2012-5-4(Fri)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Fri, 04 May 2012 00:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 04 May 2012 00:12:05 GMT) Full text and rfc822 format available.

Message #182 received at 666067@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: adam@adam-barratt.org.uk
Cc: preining@logic.at, 666067@bugs.debian.org, libkpathsea6@packages.debian.org, cadabra@packages.debian.org, itrans@packages.debian.org, scalable-cyrfonts-tex@packages.debian.org, dvi2ps-fontdesc-morisawa5@packages.debian.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Fri, 04 May 2012 09:08:03 +0900 (JST)
Hi Adam,

On Thu, 03 May 2012 20:53:26 +0100, "Adam D. Barratt" wrote:

> For context, these four packages are broken by the transition of the new
> libkpathsea + texlive stack to testing, which I'm trying to finalise.
> I'd like to get that out of the way over the weekend, if not before, so
> speedy responses would be appreciated.  There's a possibility the
> packages may be removed from testing if necessary.

Thanks for your work.
About dvi2ps-fontdesc-morisawa5 please remove it from testing.
If necessary I agree also to remove it from Debian archive.

Best regards,  	     	     	    2012-5-4(Fri)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Fri, 04 May 2012 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to OHURA Makoto <ohura@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 04 May 2012 05:57:03 GMT) Full text and rfc822 format available.

Message #187 received at 666067@bugs.debian.org (full text, mbox):

From: OHURA Makoto <ohura@debian.org>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
Cc: adam@adam-barratt.org.uk, preining@logic.at, 666067@bugs.debian.org, libkpathsea6@packages.debian.org, okumura-clsfiles@packages.debian.org, ptex-jisfonts@packages.debian.org, vfdata-morisawa5@packages.debian.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Fri, 04 May 2012 14:52:40 +0900
[Message part 1 (text/plain, inline)]
  Hi, all.

At Fri, 04 May 2012 09:02:49 +0900 (JST),
Atsuhito Kohda wrote:
>
> Hi Adam,
>
> On Thu, 03 May 2012 20:48:09 +0100, "Adam D. Barratt" wrote:
>
> > On Wed, 2012-05-02 at 14:45 +0900, Norbert Preining wrote:
> >> > - okumura-clsfiles, ptex-jisfonts and vfdata-morisawa5 now appear to be
> >> > virtual packages provided by texlive-lang-cjk, so I've assumed the "old"
> >> > source packages should be removed from testing
> >>
> >> Yes from my side, but the maintainers have to give their word.
> >
> > Maintainers added to Cc.  Please confirm...
>
> About vfdata-morisawa5, there is no problem.  Please remove it
> from testing.  If necessary I agree also to remove it from Debian
> archive.

  I entirely agree with you.  There is no problem about
okumura-clsfiles and ptex-jisfonts.  Thanks for your work.

----
  OHURA Makoto: ohura@debian.org(Debian Project)
                ohura@netfort.gr.jp(LILO/Netfort)
  GnuPG public key: http://www.netfort.gr.jp/~ohura/gpg.asc.txt
        fingerprint: 54F6 D1B1 2EE1 81CD 65E3  A1D3 EEA2 EFA2 77DC E083
  http://www.netfort.gr.jp/~ohura/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Fri, 04 May 2012 06:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to OHURA Makoto <ohura@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 04 May 2012 06:45:05 GMT) Full text and rfc822 format available.

Message #192 received at 666067@bugs.debian.org (full text, mbox):

From: OHURA Makoto <ohura@debian.org>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
Cc: adam@adam-barratt.org.uk, preining@logic.at, 666067@bugs.debian.org, libkpathsea6@packages.debian.org, okumura-clsfiles@packages.debian.org, ptex-jisfonts@packages.debian.org, vfdata-morisawa5@packages.debian.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Fri, 04 May 2012 14:44:29 +0900
[Message part 1 (text/plain, inline)]
  Hi, all.

At Fri, 04 May 2012 09:02:49 +0900 (JST),
Atsuhito Kohda wrote:
>
> Hi Adam,
>
> On Thu, 03 May 2012 20:48:09 +0100, "Adam D. Barratt" wrote:
>
> > On Wed, 2012-05-02 at 14:45 +0900, Norbert Preining wrote:
> >> > - okumura-clsfiles, ptex-jisfonts and vfdata-morisawa5 now appear to be
> >> > virtual packages provided by texlive-lang-cjk, so I've assumed the "old"
> >> > source packages should be removed from testing
> >>
> >> Yes from my side, but the maintainers have to give their word.
> >
> > Maintainers added to Cc.  Please confirm...
>
> About vfdata-morisawa5, there is no problem.  Please remove it
> from testing.  If necessary I agree also to remove it from Debian
> archive.

  I entirely agree with you.  There is no problem about
okumura-clsfiles and ptex-jisfonts.  Thanks for your work.

----
  OHURA Makoto: ohura@debian.org(Debian Project)
                ohura@netfort.gr.jp(LILO/Netfort)
  GnuPG public key: http://www.netfort.gr.jp/~ohura/gpg.asc.txt
        fingerprint: 54F6 D1B1 2EE1 81CD 65E3  A1D3 EEA2 EFA2 77DC E083
  http://www.netfort.gr.jp/~ohura/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Fri, 04 May 2012 22:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 04 May 2012 22:21:06 GMT) Full text and rfc822 format available.

Message #197 received at 666067@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 666067@bugs.debian.org
Cc: Norbert Preining <preining@logic.at>, libkpathsea6@packages.debian.org, cadabra@packages.debian.org, itrans@packages.debian.org, scalable-cyrfonts-tex@packages.debian.org, dvi2ps-fontdesc-morisawa5@packages.debian.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Fri, 04 May 2012 23:19:35 +0100
On Thu, 2012-05-03 at 20:53 +0100, Adam D. Barratt wrote:
> Cc:ed maintainers, please comment on the relevant note below which
> corresponds to your package.
> 
> For context, these four packages are broken by the transition of the new
> libkpathsea + texlive stack to testing, which I'm trying to finalise.
> I'd like to get that out of the way over the weekend, if not before, so
> speedy responses would be appreciated.  There's a possibility the
> packages may be removed from testing if necessary.

I realise the above mail was only sent yesterday, but the libkpathsea
transition's been going on for well over a month now and coincides with
other transitions we'd like to start.  I've therefore removed most the
listed packages from testing with tonight's britney run; all of the
issues listed already affect the packages in unstable.  If you need any
help to get the packages back in to testing once they're fixed, please
let us know.

scalable-cyrfonts couldn't be removed as one of its binary packages is
depended on by task-cyrillic-desktop.  I've broken the -tex binary
package temporarily to get things done, but that'll either need fixing
or removing.

> On Wed, 2012-05-02 at 14:45 +0900, Norbert Preining wrote:
> > > - cadabra depends on texlive-latex3, which no longer exists
> > 
> > I don't know which package (LaTeX package) they need, but it is
> > probably in tl-latex-recommended or -extra. If they install
> > texlive-full and the use dlocate to find the respective replacement it
> > will be fixed in a minute. But I don't know what they need from the
> > former -latex3
> > 
> > > - itrans depends on tex-common; the new version of tex-common Breaks
> > the
> > > current version of itrans.
> > 
> > I know, this packagehas serious problems and I tried to fix a few of
> > them but not all. I already informed the maintainers long time ago.
> >
> > 
> > >  Likewise scalable-cyrfonts-tex.
> > 
> > Same here, I had several contacts with the maintainer. The problem is
> > that this package provides a tex font name that is already in use
> > since long and also since long in TeX Live. So installing this package
> > would suddenly change all documents using the standard font names.
> > 
> > The maintainer seems to have orphaned this package, so probably the
> > best is to male an upload of the source package were this one bin
> > package is not build anymore.
> > 
> > 
> > > - dvi2ps-fontdesc-morisawa5 has a versioned dependency on
> > > vfdata-morisawa5 which can't be satisfied by the Provides
> > 
> > Should be adapted by the maintainers.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Fri, 04 May 2012 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 04 May 2012 22:27:03 GMT) Full text and rfc822 format available.

Message #202 received at 666067@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Norbert Preining <preining@logic.at>, 666067@bugs.debian.org
Cc: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>, libkpathsea6@packages.debian.org, yy.y.ja.jp@gmail.com, tsuchiya@namazu.org, uwabami@gfd-dennou.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Fri, 04 May 2012 23:21:53 +0100
On Fri, 2012-04-27 at 22:51 +0900, Norbert Preining wrote:
> On Fr, 27 Apr 2012, Adam D. Barratt wrote:
> > testing and breaking it in unstable in the process - texlive people,  
> > does that sound okay?
> 
> Definitely.

After a few more removals and a small breakage (scalable-cyrfonts-tex)
the new texlive stack is now in testing.  I missed aging a catdvi
upload, which is keeping libkpathsea5 in testing still, so I'm not
closing the bug yet.  Hopefully that should be sorted in tomorrow
morning's run.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Fri, 04 May 2012 23:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 04 May 2012 23:51:02 GMT) Full text and rfc822 format available.

Message #207 received at 666067@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: adam@adam-barratt.org.uk
Cc: preining@logic.at, 666067@bugs.debian.org, libkpathsea6@packages.debian.org, yy.y.ja.jp@gmail.com, tsuchiya@namazu.org, uwabami@gfd-dennou.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Sat, 05 May 2012 08:48:23 +0900 (JST)
Hi Adam and all,

On Fri, 04 May 2012 23:21:53 +0100, "Adam D. Barratt" wrote:

> After a few more removals and a small breakage (scalable-cyrfonts-tex)
> the new texlive stack is now in testing.  I missed aging a catdvi
> upload, which is keeping libkpathsea5 in testing still, so I'm not
> closing the bug yet.  Hopefully that should be sorted in tomorrow
> morning's run.

Great! Thanks for your work. I'd like to know a bit more.

If I understand correctly jbibtex-bin is (will be) removed, 
then I'd like to know what is the situation of jbibtex-base.
jbibtex-base is completely included in texlive-lang-cjk
as follows:
$ diff -ur /usr/share/texmf/jbibtex/bst/ /usr/share/texlive/texmf-dist/pbibtex/bst/
$ diff -ur /usr/share/texmf/jbibtex/bib/ /usr/share/texlive/texmf-dist/pbibtex/bib/

It might cause no problem at present but I believe there is 
no need to keep jbibtex-base anymore.

Next, I'd like to know about texfam.  Is it correct to think
it is in unstable and we have more time to try migrating it 
to kpathsea6 environment?

Best regards,			2012-5-5(Sat)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Sat, 05 May 2012 10:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 05 May 2012 10:15:05 GMT) Full text and rfc822 format available.

Message #212 received at 666067@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
Cc: preining@logic.at, 666067@bugs.debian.org, libkpathsea6@packages.debian.org, yy.y.ja.jp@gmail.com, tsuchiya@namazu.org, uwabami@gfd-dennou.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Sat, 05 May 2012 11:12:32 +0100
On Sat, 2012-05-05 at 08:48 +0900, Atsuhito Kohda wrote:
> If I understand correctly jbibtex-bin is (will be) removed, 
> then I'd like to know what is the situation of jbibtex-base.
> jbibtex-base is completely included in texlive-lang-cjk
> as follows:
> $ diff -ur /usr/share/texmf/jbibtex/bst/ /usr/share/texlive/texmf-dist/pbibtex/bst/
> $ diff -ur /usr/share/texmf/jbibtex/bib/ /usr/share/texlive/texmf-dist/pbibtex/bib/
> 
> It might cause no problem at present but I believe there is 
> no need to keep jbibtex-base anymore.

The package is still in testing and afaict still installable, so I guess
this is a question for the tex side rather than the release side. :-)

> Next, I'd like to know about texfam.  Is it correct to think
> it is in unstable and we have more time to try migrating it 
> to kpathsea6 environment?

It's still in unstable, yes, although uninstallable until it's moved to
kpathsea6.

Regards,

Adam





Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Sat, 05 May 2012 10:22:12 GMT) Full text and rfc822 format available.

Notification sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Bug acknowledged by developer. (Sat, 05 May 2012 10:22:18 GMT) Full text and rfc822 format available.

Message #217 received at 666067-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 666067-done@bugs.debian.org
Cc: Norbert Preining <preining@logic.at>, Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>, libkpathsea6@packages.debian.org, yy.y.ja.jp@gmail.com, tsuchiya@namazu.org, uwabami@gfd-dennou.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Sat, 05 May 2012 11:16:02 +0100
On Fri, 2012-05-04 at 23:21 +0100, Adam D. Barratt wrote:
> On Fri, 2012-04-27 at 22:51 +0900, Norbert Preining wrote:
> > On Fr, 27 Apr 2012, Adam D. Barratt wrote:
> > > testing and breaking it in unstable in the process - texlive people,  
> > > does that sound okay?
> > 
> > Definitely.
> 
> After a few more removals and a small breakage (scalable-cyrfonts-tex)
> the new texlive stack is now in testing.  I missed aging a catdvi
> upload, which is keeping libkpathsea5 in testing still, so I'm not
> closing the bug yet.  Hopefully that should be sorted in tomorrow
> morning's run.

Indeed, libkpathsea5 is now only in stable, so I'm declaring the
transition finished, at least from the release side; thanks.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Sun, 06 May 2012 23:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 06 May 2012 23:45:03 GMT) Full text and rfc822 format available.

Message #222 received at 666067@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 666067@bugs.debian.org, Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>, libkpathsea6@packages.debian.org, yy.y.ja.jp@gmail.com, tsuchiya@namazu.org, uwabami@gfd-dennou.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Mon, 7 May 2012 08:42:16 +0900
Hi Adam,

On Sa, 05 Mai 2012, Adam D. Barratt wrote:
> Indeed, libkpathsea5 is now only in stable, so I'm declaring the
> transition finished, at least from the release side; thanks.

Thanks a lot for your work on that!

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
KIMMERIDGE (n.)
The light breeze which blows through your armpit hair when you are
stretched out sunbathing.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Mon, 07 May 2012 02:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 07 May 2012 02:45:03 GMT) Full text and rfc822 format available.

Message #227 received at 666067@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
Cc: adam@adam-barratt.org.uk, 666067@bugs.debian.org, libkpathsea6@packages.debian.org, yy.y.ja.jp@gmail.com, tsuchiya@namazu.org, uwabami@gfd-dennou.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Mon, 7 May 2012 11:40:07 +0900
Kohda-san,

On Fr, 27 Apr 2012, Atsuhito Kohda wrote:
> > 	pdvitomp -> pmpost
> 
> Okay.

I have now uploaded texlive-binaries 2011.20120507-1 to Debian
which ships pmpost binary, the above link, and replaces/conflicts/provides
jmpost.

I think we thus can remove jmpost.

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
YONDER BOGINE (n.)
The kind of restaurant advertised as 'just three minutes from this
cinema' which clearly nobody ever goes to and, even if they had ever
contemplated it, have certainly changed their mind since seeing the
advert.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Mon, 07 May 2012 03:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 07 May 2012 03:39:03 GMT) Full text and rfc822 format available.

Message #232 received at 666067@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: preining@logic.at
Cc: kohda@pm.tokushima-u.ac.jp, adam@adam-barratt.org.uk, 666067@bugs.debian.org, libkpathsea6@packages.debian.org, yy.y.ja.jp@gmail.com, tsuchiya@namazu.org, uwabami@gfd-dennou.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Mon, 07 May 2012 12:37:12 +0900 (JST)
Hi Norbert,

On Mon, 7 May 2012 11:40:07 +0900, Norbert Preining wrote:

> On Fr, 27 Apr 2012, Atsuhito Kohda wrote:
>> > 	pdvitomp -> pmpost
>> 
>> Okay.
> 
> I have now uploaded texlive-binaries 2011.20120507-1 to Debian
> which ships pmpost binary, the above link, and replaces/conflicts/provides
> jmpost.
> 
> I think we thus can remove jmpost.

Yes you are right.  I found a few more packages which 
should be removed.
ptex-base and jbibtex-base are completely included in 
texlive-lang-cjk so should be removed.

I believe that mendexk package should be removed also 
because of texlive-binaries.

If you need more precise information, please let me know.

And only FYI. it seems pdfjam is also included in 
texlive-extra-utils so I think we can remove it.

I'm now checking new texlive packages upgraded in testing
and find pTeX related programs work incredibly fine.
Thanks for your work.

Best regards,			2012-5-7(Mon)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Mon, 07 May 2012 03:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 07 May 2012 03:54:02 GMT) Full text and rfc822 format available.

Message #237 received at 666067@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
Cc: adam@adam-barratt.org.uk, 666067@bugs.debian.org, libkpathsea6@packages.debian.org, yy.y.ja.jp@gmail.com, tsuchiya@namazu.org, uwabami@gfd-dennou.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Mon, 7 May 2012 12:51:58 +0900
Kohda-san,

On Mo, 07 Mai 2012, Atsuhito Kohda wrote:
> Yes you are right.  I found a few more packages which 
> should be removed.
> ptex-base and jbibtex-base are completely included in 
> texlive-lang-cjk so should be removed.

Yes, these are all up to the maintainers. 

> I believe that mendexk package should be removed also 
> because of texlive-binaries.

Yes.

> And only FYI. it seems pdfjam is also included in 
> texlive-extra-utils so I think we can remove it.

Yes. That was done already quite some time ago ...

> I'm now checking new texlive packages upgraded in testing
> and find pTeX related programs work incredibly fine.

Good to hear ... anyway, if there are more suggestions, please
let me know ...

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
The main reception foyer was almost empty but Ford
nevertheless weaved his way through it.
                 --- Ford making his way out of Milliways whilst under the
                 --- influence of enough alchol to make a rhino sing.
                 --- Douglas Adams, The Hitchhikers Guide to the Galaxy




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#666067; Package release.debian.org. (Mon, 07 May 2012 08:42:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preuße <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 07 May 2012 08:42:35 GMT) Full text and rfc822 format available.

Message #242 received at 666067@bugs.debian.org (full text, mbox):

From: Hilmar Preuße <hille42@web.de>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
Cc: preining@logic.at, adam@adam-barratt.org.uk, 666067@bugs.debian.org
Subject: Re: Bug#666067: transition: libkpathsea6
Date: Mon, 7 May 2012 10:40:33 +0200
reassign 276274 texlive-extra-utils
reassign 375819 texlive-extra-utils
reassign 503752 texlive-extra-utils
reassign 603707 texlive-extra-utils
reassign 609642 texlive-extra-utils
reassign 615943 texlive-extra-utils
reassign 468225 texlive-extra-utils
reassign 276275 texlive-extra-utils
stop

On 07.05.12 Atsuhito Kohda (kohda@pm.tokushima-u.ac.jp) wrote:

Hi,

> And only FYI. it seems pdfjam is also included in 
> texlive-extra-utils so I think we can remove it.
> 
Reassigning all bugs now, the pdfjam package is not installable
anyway (or say better it removes to many packages). No, I didn't
check, which bugs still apply.

H.
-- 
sigmentation fault




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 05 Jun 2012 07:44:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:41:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.